package cz.muni.sutralog.data

import java.time.LocalDate
import android.os.Parcelable
import kotlinx.parcelize.Parcelize

@Parcelize
data class  RockPresentableListItem(
    val id: Long,
    val folderPath: String,
    var pictureName: String?,
    var categoryId: Long,

    var name: String,
    var count: Int?,
    var locality: String?,
    var latitude: Double?,
    var longitude: Double?,
    var from: String?,
    var date: LocalDate?,
    var where: String?,
    var description: String?,
    var comment: String?,
    var color: String
): Parcelable