package cz.muni.sutralog.database

import androidx.room.TypeConverter
import java.time.LocalDate
import java.time.format.DateTimeFormatter

class Converters {
    private val formatter: DateTimeFormatter = DateTimeFormatter.ofPattern("dd.MM.yyyy")
    @TypeConverter
    fun fromDate(date: LocalDate): String {
        return date.format(formatter)
    }
    @TypeConverter
    fun toDate(date: String): LocalDate {
        return LocalDate.parse(date, formatter)
    }
}